commit:     b0170e23ae4817806368524544f9e501bb388f20
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  3 08:05:45 2024 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 08:05:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0170e23

games-util/heroic-bin: add 2.14.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 games-util/heroic-bin/Manifest                 |   3 +
 games-util/heroic-bin/heroic-bin-2.14.0.ebuild | 124 +++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/games-util/heroic-bin/Manifest b/games-util/heroic-bin/Manifest
index e3b4a0773804..a2f91dd4181b 100644
--- a/games-util/heroic-bin/Manifest
+++ b/games-util/heroic-bin/Manifest
@@ -1,3 +1,6 @@
+DIST com.heroicgameslauncher.hgl.2.14.0.desktop 317 BLAKE2B 
e4c7cc834bc8688703b982897b13542543a3d28c50f7fe3f8e680c233762d612c0b24f7036919571451b96002f493cb55fb6d75241e124879ae486c5b4053f96
 SHA512 
314c7449ee7b83c77eda117536d0c2da1c5d3882a3f08f5fe0381451de734ed388e8941de8440521dad2f2fc335d214345e7301a2929b8fefa4f64a7a2ff804e
+DIST com.heroicgameslauncher.hgl.2.14.0.png 9797 BLAKE2B 
c6f76df4ec2fd25323f5c37e03605647ede8f8c2ed48cfbb8af11aad22ae90182d3678b943633b46a2d8dfb0c1cbd1a275b6c62dde238b9b0f68cbafb4bf3697
 SHA512 
68e9881fb4f123008398409825aa8cf70cec34365a23adb1234f7c054a14f40d159e7d8912cfedac0bb2b12f1d3c3c980469c2fca9735d4bc06bd4074aecc7e3
 DIST 
com.heroicgameslauncher.hgl.desktop-6dfb2758e531af693f0baffa15240f152aadd68b 
317 BLAKE2B 
e4c7cc834bc8688703b982897b13542543a3d28c50f7fe3f8e680c233762d612c0b24f7036919571451b96002f493cb55fb6d75241e124879ae486c5b4053f96
 SHA512 
314c7449ee7b83c77eda117536d0c2da1c5d3882a3f08f5fe0381451de734ed388e8941de8440521dad2f2fc335d214345e7301a2929b8fefa4f64a7a2ff804e
 DIST com.heroicgameslauncher.hgl.png-6dfb2758e531af693f0baffa15240f152aadd68b 
9797 BLAKE2B 
c6f76df4ec2fd25323f5c37e03605647ede8f8c2ed48cfbb8af11aad22ae90182d3678b943633b46a2d8dfb0c1cbd1a275b6c62dde238b9b0f68cbafb4bf3697
 SHA512 
68e9881fb4f123008398409825aa8cf70cec34365a23adb1234f7c054a14f40d159e7d8912cfedac0bb2b12f1d3c3c980469c2fca9735d4bc06bd4074aecc7e3
 DIST heroic-bin-2.13.0.tar.xz 105883932 BLAKE2B 
93161f87fc734540338914bf63b2231b7bd7bb4a265092a831043fa6d771cff2211395f0cf92dacff12eebb369e8c5d8687b7662c559dc72635f91f858341122
 SHA512 
59466b2516b4e42fb3ea7dc9f96834ee8598e2424a9615acbd9de65d4035634f82181a4b5e6664eb186173b7199b191418c3eab7e582450a489295e60ed39d1d
+DIST heroic-bin-2.14.0.tar.xz 106276280 BLAKE2B 
9080cdad47214da2c5049b77b5f96533a823c6103fa6fe8e8866a5e16ec6a3d1ce9c5b4fdc36182c6ebca899772340e25a38661d4043e5f8c65b79b5bae5e7aa
 SHA512 
4b71d83d708ac5f0e8699c4492cb6d9dbe787721de991b18cc6132fb93215cceec3038c0e1a518bb9bcd45b94ad9ddcc988785c7c858b10eb383c61e07a01ed9

diff --git a/games-util/heroic-bin/heroic-bin-2.14.0.ebuild 
b/games-util/heroic-bin/heroic-bin-2.14.0.ebuild
new file mode 100644
index 000000000000..28c41dfca7d8
--- /dev/null
+++ b/games-util/heroic-bin/heroic-bin-2.14.0.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+       af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu 
he hi
+       hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr 
sv
+       sw ta te th tr uk ur vi zh-CN zh-TW
+"
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit chromium-2 desktop python-single-r1 xdg
+
+DESCRIPTION="GOG and Epic Games Launcher for Linux"
+HOMEPAGE="https://heroicgameslauncher.com/
+       https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/";
+SRC_URI="
+       
https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/releases/download/v${PV}/heroic-${PV}.tar.xz
+               -> ${P}.tar.xz
+       
https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/raw/v${PV}/flatpak/com.heroicgameslauncher.hgl.desktop
+               -> com.heroicgameslauncher.hgl.${PV}.desktop
+       
https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/raw/v${PV}/flatpak/com.heroicgameslauncher.hgl.png
+               -> com.heroicgameslauncher.hgl.${PV}.png
+"
+S="${WORKDIR}/${P/-bin}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       app-accessibility/at-spi2-core
+       app-arch/brotli
+       app-arch/bzip2
+       dev-libs/expat
+       dev-libs/fribidi
+       dev-libs/glib
+       dev-libs/gmp
+       dev-libs/libffi
+       dev-libs/libpcre2
+       dev-libs/libtasn1
+       dev-libs/nettle
+       dev-libs/nspr
+       dev-libs/nss
+       dev-libs/wayland
+       media-fonts/freefont
+       media-gfx/graphite2
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/harfbuzz
+       media-libs/libepoxy
+       media-libs/libjpeg-turbo
+       media-libs/libpng
+       media-libs/mesa
+       media-video/ffmpeg
+       net-dns/libidn2
+       net-libs/gnutls
+       net-print/cups
+       sys-apps/dbus
+       sys-libs/glibc
+       sys-libs/zlib
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXdmcp
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libdrm
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+"
+
+QA_PREBUILT=".*"
+
+src_configure() {
+       default
+
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+       default
+
+       cd locales || die
+       chromium_remove_language_paks
+}
+
+src_install() {
+       local app_root=/opt/${P/-bin}
+       local app_dest="${ED}"/${app_root}
+
+       dodoc LICENSE.*
+       rm LICENSE.* || die
+
+       dodir "${app_root%/*}"
+       cp -r "${S}" "${app_dest}" || die
+
+       dosym -r "${PYTHON}" \
+               
"${app_root}"/resources/app.asar.unpacked/node_modules/register-scheme/build/node_gyp_bins/python3
+
+       find "${app_dest}" -type f -name "*.a" -exec rm {} + || die
+
+       dosym -r "${app_root}"/heroic /usr/bin/heroic-run
+
+       # Install resources: desktop file and icon.
+       newmenu "${DISTDIR}"/com.heroicgameslauncher.hgl.${PV}.desktop \
+                       com.heroicgameslauncher.hgl.desktop
+       newicon "${DISTDIR}"/com.heroicgameslauncher.hgl.${PV}.png \
+                       com.heroicgameslauncher.hgl.png
+}

Reply via email to